it-swarm.com.de

ANDROID STUDIO 3.0-Upgrade: Fehler: Alle Dateien für die Konfiguration konnten nicht aufgelöst werden: 'app: xxxxxxxDebugCompileClasspath'

Ich habe diese Warnung gefunden, nachdem ich die neueste stabile Android-Studio-Version aktualisiert habe 

Fehler: Alle Dateien für die Konfiguration ': app: xxxxxxxDebugCompileClasspath' konnten nicht aufgelöst werden.

Die Datei 'commons-lang-2.4.jar' konnte nicht in die Attribute {artifactType = Android-classes} mit der Transformation JarTransform .__ umgewandelt werden. Die Ausgabedatei xxxxxxx/xxxxxxx/xxxxxxx/app/commons-lang-2.4.jar ist nicht vorhanden.

hier sind Versionen von Gradle und Gradle Wrapper:

gradle : classpath 'com.Android.tools.build:gradle:3.0.0' 

und

gradle wrapper

distributionUrl=https\://services.gradle.org/distributions/g‌​radle-4.1-all.Zip

12
Nawrez

abhängigkeitsdeklaration ändern 

von 

kompilierdateien ('libs/commons-lang-2.4.jar') 

zu 

implementierungsdateien ('libs/commons-lang-2.4.jar')

7
scionoftech

Ändern Sie den Klassenpfad von Project Gradle in:

 classpath 'com.Android.tools.build:gradle:3.1.0-alpha01'

ODER 

Ändern Sie die DistributionUrl von gradle-wrapper.properties in 

distributionUrl=https\://services.gradle.org/distributions/gradle-4.1-all.Zip

Ich hoffe es hilft dir

3
Sandeep Manmode

Ich hatte das gleiche Problem, Build -> Clean Project hat für mich funktioniert.

1
DDeex